For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Brands
        • Categories
        • Category Trees
        • Products
            • GETList Products
            • PUTUpdate Products (batch)
            • POSTCreate Product
            • DELDelete Products
            • GETGet Product
            • PUTUpdate Product
            • DELDelete Product
              • GETList Product Videos
              • POSTCreate Product Video
              • GETGet Product Video
              • PUTUpdate Product Video
              • DELDelete Product Video
        • Product Modifiers
        • Product Variants
        • Product Variant Options
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminCatalogProductsVideos

List Product Videos

GET
https://api.bigcommerce.com/stores/:store_hash/v3/catalog/products/:product_id/videos
GET
/stores/:store_hash/v3/catalog/products/:product_id/videos
$curl https://api.bigcommerce.com/stores/store_hash/v3/catalog/products/1/videos \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
200Response
1{
2 "data": [
3 {
4 "description": "Learn how to create and edit marketing banners. Marketing banners are a great way to advertise sales, display coupon codes, and add design elements. Let’s take a look at how you can leverage banners to convert your store’s visitors into paying customers.",
5 "id": 6,
6 "length": "01:54",
7 "product_id": 192,
8 "sort_order": 1,
9 "title": "Creating and Editing Banners | BigCommerce Tutorials",
10 "type": "youtube",
11 "video_id": "PqBTp23RLhI"
12 },
13 {
14 "description": "These are the core principles upon which BigCommerce was built, guiding what we do and how we do it. Each employee learns them, loves them and lives them. Our merchants benefit from them every time they use our product or get help from our support team.\n\nJoin the BigCommerce team and help us build software that changes lives!\n\nhttps://www.bigcommerce.com/careers/",
15 "id": 7,
16 "length": "03:30",
17 "product_id": 192,
18 "sort_order": 2,
19 "title": "BigCommerce Company Values",
20 "type": "youtube",
21 "video_id": "EhYBjzqd-nI"
22 },
23 {
24 "description": "We've been named one of Austin American-Statesmanʼs Top WorkPlaces for the 5th year in a row! Hereʼs what some employees have to say:\n\n“I am given the freedom and trust to make a difference.”\n\n“Everyone believes in the product and growing the company.”\n\n“I'm appreciated for the work I do and there is room to grown within the company.”\n\nWork With Us!\nhttp://www.bigcommerce.com/careers.php",
25 "id": 8,
26 "length": "01:37",
27 "product_id": 192,
28 "sort_order": 3,
29 "title": "TOP WORKPLACES 2016 - Austin American Statesman + BigCommerce",
30 "type": "youtube",
31 "video_id": "vAUdo4kRjrU"
32 }
33 ],
34 "meta": {
35 "pagination": {
36 "total": 3,
37 "count": 3,
38 "per_page": 50,
39 "current_page": 1,
40 "total_pages": 1,
41 "links": {
42 "current": "?page=1&limit=50"
43 }
44 }
45 }
46}

Returns a list of Product Videos. Optional parameters can be passed in.

Was this page helpful?
Previous

Get Catalog Summary

Next

Create Product Video

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

product_idintegerRequired

The ID of the Product to which the resource belongs.

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Query parameters

include_fieldslist of enumsOptional

Fields to include, in a comma-separated list. The ID and the specified fields will be returned.

exclude_fieldslist of stringsOptional

Fields to exclude, in a comma-separated list. The specified fields will be excluded from a response. The ID cannot be excluded.

pageintegerOptional

Specifies the page number in a limited (paginated) list of products.

limitintegerOptional<=250Defaults to 50

Controls the number of items per page in a limited (paginated) list of products.

Response

datalist of objects
metaobject
Data about the response, including pagination and collection totals.

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.